Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface Orientable

All Superinterfaces:
  IFigure, PositionConstants

All Known Implementing Classes:
  ArrowButton, PuristicScrollPane.PuristicScrollBar, ScrollBar, Triangle

    public interface Orientable

extends PositionConstants, IFigure

An interface for objects that can be either horizontally or vertically oriented.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`static int` `HORIZONTAL` A constant representing a horizontal orientation.
`static int` `VERTICAL` A constant representing a vertical orientation.

Fields inherited from interface org.eclipse.draw2d.PositionConstants
`ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, WEST`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Method Summary
`void` `setDirection(int direction)` Sets the direction the orientable figure will face.
`void` `setOrientation(int orientation)` Sets the orientation.

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Field Detail

### HORIZONTAL

    static final int HORIZONTAL

  A constant representing a horizontal orientation.

  See Also:
    Constant Field Values

### VERTICAL

    static final int VERTICAL

  A constant representing a vertical orientation.

  See Also:
    Constant Field Values

Method Detail

### setOrientation

    void setOrientation(int orientation)

  Sets the orientation. Can be either `HORIZONTAL` or `VERTICAL`.

  Parameters:
    `orientation` - The orientation

### setDirection

    void setDirection(int direction)

  Sets the direction the orientable figure will face. Can be one of many directional constants defined in `PositionConstants`.

  Parameters:
    `direction` - The direction

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.